%define flacdocs %_docdir/%name-%version

Name: flac
Version: 1.1.0
Release: alt3

Summary: Free Lossless Audio Codec
License: GPL
Group: Sound
Url: http://flac.sourceforge.net/
Packager: Andrey Astafiev <andrei@altlinux.ru>

PreReq: lib%name = %version-%release
PreReq: libogg%name = %version-%release
BuildPreReq: libxmms-devel >= 0.9.5.1
BuildPreReq: id3lib-devel >= 3.8.3

Source: %name-%version.tar.bz2
Patch1: %name-1.0.5-alt-input_plugin_knows_about_recode.patch

# Automatically added by buildreq on Sun Jan 12 2003
BuildRequires: XFree86-devel gcc-c++ glib-devel gtk+-devel id3lib-devel
BuildRequires: libogg-devel libstdc++-devel libxmms-devel nasm zlib-devel
 
%description
FLAC (%url) is an Open Source lossless audio codec.

%description -l ru_RU.CP1251
FLAC (%url) -       ,
   .

%package -n lib%name
Summary: FLAC shared library
Group: System/Libraries
License: LGPL

%description -n lib%name
The lib%name package contains a shared library of
functions for manipulating FLAC format audio files.

%description -n lib%name -l ru_RU.CP1251
        
  FLAC.

%package -n lib%name-devel
Summary: Development files for FLAC
Group: Development/C
License: LGPL
PreReq: lib%name = %version-%release

%description -n lib%name-devel
This package contains development files required for packaging
FLAC-based software.

%description -n lib%name-devel -l ru_RU.CP1251
    ,   
FLAC   .

%package -n lib%name-devel-static
Summary: Static libraries for FLAC
Group: Development/C
License: LGPL
PreReq: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains development libraries required for packaging
statically linked FLAC-based software.

%description -n lib%name-devel-static -l ru_RU.CP1251
     , 
  FLAC    .

%package -n lib%name++
Summary: Object shared library FLAC++
Group: System/Libraries
License: LGPL

%description -n lib%name++
The lib%name++ package contains a object wrapper library
of functions for manipulating FLAC format audio files.

%description -n lib%name++ -l ru_RU.CP1251
      
     FLAC.

%package -n lib%name++-devel
Summary: Development files for FLAC++ library
Group: Development/C
License: LGPL
PreReq: lib%name++ = %version-%release
Requires: libstdc++-devel

%description -n lib%name++-devel
This package contains development files required for packaging
FLAC++-based software.

%description -n lib%name++-devel -l ru_RU.CP1251
    ,   
  FLAC++   .

%package -n lib%name++-devel-static
Summary: Static libraries for FLAC++ library
Group: Development/C
License: LGPL
PreReq: lib%name++-devel = %version-%release

%description -n lib%name++-devel-static
This package contains development libraries required for packaging
statically linked FLAC++-based software.

%description -n lib%name++-devel-static -l ru_RU.CP1251
     , 
  FLAC++    .

%package -n libogg%name
Summary: OggFLAC shared library
Group: System/Libraries
License: LGPL

%description -n libogg%name
The libOgg%name package contains a shared library of functions for
manipulating FLAC format audio files wrapped in Ogg container.

%description -n libogg%name -l ru_RU.CP1251
        
  FLAC,    Ogg.

%package -n libogg%name-devel
Summary: Development files for OggFLAC
Group: Development/C
License: LGPL
PreReq: libogg%name = %version-%release

%description -n libogg%name-devel
This package contains development files required for packaging
OggFLAC-based software.

%description -n libogg%name-devel -l ru_RU.CP1251
    ,   
OggFLAC   .

%package -n libogg%name-devel-static
Summary: Static libraries for OggFLAC
Group: Development/C
License: LGPL
PreReq: libogg%name-devel = %version-%release

%description -n libogg%name-devel-static
This package contains development libraries required for packaging
statically linked OggFLAC-based software.

%description -n libogg%name-devel-static -l ru_RU.CP1251
     , 
  OggFLAC    .

%package -n libogg%name++
Summary: Object shared library OggFLAC++
Group: System/Libraries
License: LGPL

%description -n libogg%name++
The libOgg%name++ package contains a object wrapper library of functions
for manipulating FLAC format audio files wrapped in Ogg container.

%description -n libogg%name++ -l ru_RU.CP1251
        
   FLAC,    Ogg.

%package -n libogg%name++-devel
Summary: Development files for OggFLAC++ library
Group: Development/C
License: LGPL
PreReq: libogg%name++ = %version-%release

%description -n libogg%name++-devel
This package contains development files required for packaging
OggFLAC++-based software.

%description -n libogg%name++-devel -l ru_RU.CP1251
    ,   
  OggFLAC++   .

%package -n libogg%name++-devel-static
Summary: Static libraries for OggFLAC++ library
Group: Development/C
License: LGPL
PreReq: libogg%name++-devel = %version-%release

%description -n libogg%name++-devel-static
This package contains development libraries required for packaging
statically linked OggFLAC++-based software.

%description -n libogg%name++-devel-static -l ru_RU.CP1251
     , 
  OggFLAC++    .

%package -n xmms-%name
Summary: Plugin for XMMS
Group: Sound
License: GPL
Requires: lib%name = %version-%release
Requires: xmms >= 0.9.5.1

%description -n xmms-%name
Xmms plugin for playing FLAC files.

%description -n xmms-%name -l ru_RU.CP1251
    FLAC    XMMS.

%prep
%setup -q -n %name-%version
%patch1 -p1

%build
%configure
%make

%install
%makeinstall xmmsinputplugindir=%buildroot%_libdir/xmms/Input
%__install -m644 AUTHORS README %buildroot%flacdocs

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig
%post -n lib%name++ -p /sbin/ldconfig
%postun -n lib%name++ -p /sbin/ldconfig
%post -n libogg%name -p /sbin/ldconfig
%postun -n libogg%name -p /sbin/ldconfig
%post -n libogg%name++ -p /sbin/ldconfig
%postun -n libogg%name++ -p /sbin/ldconfig

%files
%_bindir/*
%_mandir/man?/*
%flacdocs/html/*.html
%flacdocs/html/ru
%flacdocs/html/images

%files -n lib%name
%_libdir/libFLAC.so.*
%dir %flacdocs
%dir %flacdocs/html
%flacdocs/AUTHORS
%flacdocs/README

%files -n lib%name-devel
%_datadir/aclocal/libFLAC.m4
%_libdir/libFLAC.la
%_libdir/libFLAC.so
%_includedir/FLAC
%flacdocs/html/api

%files -n lib%name-devel-static
%_libdir/libFLAC.a

%files -n lib%name++
%_libdir/libFLAC++.so.*

%files -n lib%name++-devel
%_datadir/aclocal/libFLAC++.m4
%_libdir/libFLAC++.la
%_libdir/libFLAC++.so
%_includedir/FLAC++

%files -n lib%name++-devel-static
%_libdir/libFLAC++.a

%files -n libogg%name
%_libdir/libOggFLAC.so.*

%files -n libogg%name-devel
%_datadir/aclocal/libOggFLAC.m4
%_libdir/libOggFLAC.la
%_libdir/libOggFLAC.so
%_includedir/OggFLAC

%files -n libogg%name-devel-static
%_libdir/libOggFLAC.a

%files -n libogg%name++
%_libdir/libOggFLAC++.so.*

%files -n libogg%name++-devel
%_datadir/aclocal/libOggFLAC++.m4
%_libdir/libOggFLAC++.la
%_libdir/libOggFLAC++.so
%_includedir/OggFLAC++

%files -n libogg%name++-devel-static
%_libdir/libOggFLAC++.a

%files -n xmms-%name
%_libdir/xmms/Input/*

%changelog
* Fri Mar 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt3
- Rebuilt with id3lib 3.8.3

* Wed Mar 05 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt2
- fixed: documentation added.
- fixed: bug #0002303.

* Wed Jan 29 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Fri Jan 17 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.5-alt0.9
- Package flac now depends on liboggflac.
- Real fix for xmms plugin.
- Rebuilt with id3lib 3.8.2.

* Mon Nov 04 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.4-alt3
- Temprorary fix in xmms plugin (id3v2 tags disabled).

* Mon Nov 04 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.4-alt2
- Rebuilt with gcc3.2.

* Wed Sep 11 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.4-alt1
- 1.0.4
- Added new packages with OggFLAC and OggFLAC++ liraries.

* Thu Jul 11 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.3-alt1
- 1.0.3
- Corrected dependencies to xmms library.
- Added new packages with object liraries.

* Tue Dec 04 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Mon Nov 26 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0.1-alt1
- 1.0.1
- Some changes in spec.

* Wed Aug 8 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt1
- First version of RPM package.

* Wed Jul 20 2001 Josh Coalson
- FLAC 1.0 is out!
